<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!--
    rocky2系列打印机
-->
<PrinterList>
    <Item name="M2000DWs" vid="300E" pid="10E1">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20S"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RP_MFP_GEN3"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RP_1.01.007"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2000DWs70C6"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_10E1&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2000DWs.png"/>
            <Item id="imgsm" val="M2000DWs.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="both"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2000DNWs" vid="300E" pid="10E2">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="both"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20S"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RP_MFP_GEN3"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RP_1.01.007"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2000DNWsB1FA"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_10E2&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2000DNWs.png"/>
            <Item id="imgsm" val="M2000DNWs.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2000Ds" vid="300E" pid="10E3">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="usb"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20S"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RP_MFP_GEN3"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RP_1.01.007"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2000Ds5FCD"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_10E3&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2000Ds.png"/>
            <Item id="imgsm" val="M2000Ds.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="P2000DNWs" vid="300E" pid="10E4">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="both"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20S"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RP_SFP_GEN3"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RP_1.01.007"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliP2000DNWsA3CE"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_10E4&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="P2000DNWs.png"/>
            <Item id="imgsm" val="P2000DNWs.png"/>
        </Printer>
    </Item>
    <Item name="P2000Ds" vid="300E" pid="10E5">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="usb"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20S"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RP_SFP_GEN3"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RP_1.01.007"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliP2000Ds2782"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_10E5&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="P2000Ds.png"/>
            <Item id="imgsm" val="P2000Ds.png"/>
        </Printer>
    </Item>
    <Item name="M2020Ws" vid="300E" pid="10E8">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20S"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RP_MFP_GEN3"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RP_1.01.007"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2020Ws1640"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_10E8&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2020Ws.png"/>
            <Item id="imgsm" val="M2020Ws.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2020DWs" vid="300E" pid="10E9">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20S"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RP_MFP_GEN3"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RP_1.01.007"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2020DWsD0BC"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_10E9&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2020DWs.png"/>
            <Item id="imgsm" val="M2020DWs.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2024DWs" vid="300E" pid="10F1">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20S"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RP_MFP_GEN3"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RP_1.01.007"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2024DWsE0BD"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_10F1&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2024DWs.png"/>
            <Item id="imgsm" val="M2024DWs.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="P2023Ws" vid="300E" pid="10EA">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20S"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RP_SFP_GEN3"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RP_1.01.007"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliP2023Ws6EFD"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_10EA&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="P2023Ws.png"/>
            <Item id="imgsm" val="P2023Ws.png"/>
        </Printer>
    </Item>
    <Item name="P2023DWs" vid="300E" pid="10EB">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="sfp"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20S"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RP_SFP_GEN3"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RP_1.01.007"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliP2023DWsA106"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_10EB&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="P2023DWs.png"/>
            <Item id="imgsm" val="P2023DWs.png"/>
        </Printer>
    </Item>
    <Item name="M2023Ws" vid="300E" pid="10EC">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20S"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RP_MFP_GEN3"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RP_1.01.007"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2023Ws16B0"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_10EC&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2023Ws.png"/>
            <Item id="imgsm" val="M2023Ws.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M2023DWs" vid="300E" pid="10ED">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20S"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RP_MFP_GEN3"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RP_1.01.007"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM2023DWs94BC"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_10ED&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M2023DWs.png"/>
            <Item id="imgsm" val="M2023DWs.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M1800Ws" vid="300E" pid="10EE">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="none"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20S"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RP_MFP_GEN3"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RP_1.01.007"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM1800Ws9D21"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_10EE&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M1800Ws.png"/>
            <Item id="imgsm" val="M1800Ws.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
    <Item name="M1800DWs" vid="300E" pid="10EF">
        <Printer>
            <!--unit is mS-->
            <Item id="period" val="5000"/>
            <!--sfp, flat, adf, both-->
            <Item id="type" val="flat"/>
            <!--usb, etherent, wifi, both-->
            <Item id="connect" val="wifi"/>
            <!--none, manual, auto-->
            <Item id="duplex" val="auto"/>
            <!--firmware upgrade identification code-->
            <Item id="firm_key" val="D20S"/>
            <!--firmware upgrade identification code: none: 表示无升级固件;ver：表示根据版本号区分升级吗;npa：表示需要通过NPA指令获取升级码-->
            <Item id="upgrade" val="RP_MFP_GEN3"/>
            <!--固件最低版本要求，0表示无要求-->
            <Item id="minver" val="RP_1.01.007"/>
            <!--toner type: CMYK, K-->
            <Item id="toner" val="K"/>
            <!--driver information-->
            <Item id="printhdid" val="USBPRINT\DeliM1800DWs38F6"/>
            <Item id="scanhdid" val="USB\VID_300E&amp;PID_10EF&amp;REV_0000&amp;MI_00"/>
            <Item id="printinf" val="DeliDriverPrinterLaser1.inf"/>
            <Item id="scnusbinf" val="DELISCN_USB.INF"/>
            <Item id="scnnetinf" val="DELISCN_NW.INF"/>
            <Item id="stubinf" val="DeliDriverStubLaser1.inf"/>
            <!--printer image display on screen-->
            <Item id="imgbg" val="M1800DWs.png"/>
            <Item id="imgsm" val="M1800DWs.png"/>
        </Printer>
        <Scanner>
            <!--flat, both(flag and feed)-->
            <Item id="source" val="flat"/>
            <!--color, mono, both-->
            <Item id="color" val="both"/>
            <!--flat scanner dpi: 300, 600, 1200-->
            <Item id="flat_dpi" val="300"/>
            <Item id="flat_dpi" val="600"/>
            <Item id="flat_dpi" val="1200"/>
            <!--feed scanner dpi: 300, 600-->
            <!--Item id="feed_dpi" val="300"/-->
            <!--Item id="feed_dpi" val="600"/-->
            <!--media size, unit is mm-->
            <Item id="size" val="Entire" W="216" H="297"/>
            <Item id="size" val="Letter" W="216" H="279"/>
            <Item id="size" val="A4" W="210" H="297"/>
            <Item id="size" val="JIS B5" W="182" H="257"/>
            <Item id="size" val="A5" W="148" H="210"/>
            <Item id="size" val="Preview" W="210" H="297"/>
            <!--scan wait time, unit is mS-->
            <Item id="wait" type="Color" dpi="75" val="7990"/>
            <Item id="wait" type="Color" dpi="300" val="19790"/>
            <Item id="wait" type="Color" dpi="600" val="72760"/>
            <Item id="wait" type="Color" dpi="1200" val="135760"/>
            <Item id="wait" type="Mono" dpi="75" val="7300"/>
            <Item id="wait" type="Mono" dpi="300" val="6950"/>
            <Item id="wait" type="Mono" dpi="600" val="13860"/>
            <Item id="wait" type="Mono" dpi="1200" val="46640"/>
        </Scanner>
    </Item>
</PrinterList>
